Page MenuHomePhabricator

Update API query continuation usage in MobileFrontend for future change of default
Closed, ResolvedPublic

Description

In the not too distant future, the default for continuation for API action=query will be changing from the current "raw" format to a more user-friendly format, see here for the most recent announcement of this planned change.

This extension appears to be using query-continue, and so will probably be affected by this change. If you wish to continue using the "raw" format, specify the 'rawcontinue' parameter in your API queries. To be ready for the new format (documented here), specify the 'continue' parameter with the empty string as a value in the initial query.

Event Timeline

Anomie created this task.Apr 22 2015, 3:08 PM
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie moved this task to Non-core-API stuff on the MediaWiki-API board.
Anomie added a subscriber: Anomie.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 22 2015, 3:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
KLans_WMF renamed this task from Update API query continuation usage for future change of default to (2) Update API query continuation usage for future change of default.Apr 22 2015, 6:16 PM
KLans_WMF set Security to None.
KLans_WMF renamed this task from (2) Update API query continuation usage for future change of default to Update API query continuation usage for future change of default.Apr 27 2015, 6:56 PM
KLans_WMF edited a custom field.
phuedx claimed this task.May 12 2015, 2:00 PM
phuedx moved this task from To Do to Doing on the Mobile-Web-Sprint-47-Undercover-Brother board.

Change 210383 had a related patch set uploaded (by Phuedx):
Update PhotoListApi API query continuation

https://gerrit.wikimedia.org/r/210383

Change 210383 merged by jenkins-bot:
Update PhotoListApi API query continuation

https://gerrit.wikimedia.org/r/210383

I note that Gerrit change 210383 seems to have fixed one instance, but I still see query-continue usage in resources/mobile.watchlist/WatchListApi.js and some qunit tests.

Yup. Not sure why this is in Ready for Signoff yet. I shouldn't have put it in Code Review before submitting the patch for the WatchListApi class.

Change 210679 had a related patch set uploaded (by Phuedx):
Update WatchListApi API query continuation

https://gerrit.wikimedia.org/r/210679

I moved it to "Ready for Signoff" because the change had been merged. There was no mention of follow up patches anywhere.

Change 210679 merged by jenkins-bot:
Update WatchListApi API query continuation

https://gerrit.wikimedia.org/r/210679

There won't be any more follow-up patches.

phuedx closed this task as Resolved.May 21 2015, 6:38 PM
Legoktm renamed this task from Update API query continuation usage for future change of default to Update API query continuation usage in MobileFrontend for future change of default.Jun 22 2015, 10:06 PM